\documentclass[12pt]{book}
\usepackage[utf8]{inputenc}
\usepackage{times}
\usepackage[T1]{fontenc}
\usepackage[icelandic]{babel}
\usepackage{xr}
\usepackage{multicol}

\usepackage[title={BJÓLFSKVÍÐA}, titlestyle=scshape,
titlesize=30pt, titlealign=c, parstyle=itshape, 
parsize=12pt, parlead=15pt ]{colophon}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%% Portada %%%%%%%%%%
\usepackage[textwidth = 16cm, top = 1cm, bottom = 0cm, left = 4cm, right = 4cm]{geometry}
\usepackage[x11names]{xcolor}
\usepackage{adjustbox}
\usepackage{textpos}

\usepackage{ccicons}
\usepackage{tikz}
\usetikzlibrary{shadings}


\usepackage{fancyhdr}
\usepackage{marginnote}

\usepackage{hyperref}
\definecolor{yellowy}{HTML}{c9ac69}
\definecolor{redoey}{HTML}{f0c1b6}
\hypersetup{colorlinks=true, linkcolor=[rgb]{0.788, 0.674, 0.411}, filecolor=[rgb]{0.788, 0.674, 0.411} , urlcolor=[rgb]{0.941, 0.756, 0.713} }


\usepackage{chronosys}

\usepackage{eso-pic,graphicx}
\usepackage{authblk}
\usepackage{titlesec, blindtext, color}
\usepackage[Conny]{fncychap}

\usepackage[most]{tcolorbox}
\usepackage{etoolbox}
\usepackage{verse}
\usepackage{twoopt}
\usepackage{float}

\usepackage{varwidth}

\usepackage[
    type={CC},
    modifier={by-nc-sa},
    version={4.0},
]{doclicense}

\definecolor{Grå}{HTML}{202020}
\definecolor{Grá}{HTML}{454545}
\definecolor{goldishchap}{HTML}{806A00}
\definecolor{goldish}{HTML}{806A00}
\definecolor{tile}{HTML}{9e810d}
\definecolor{bladpur}{HTML}{1B1627}
\definecolor{BLACK}{HTML}{000000}
\definecolor{gold}{HTML}{473600}
\definecolor{white}{HTML}{cccccc}
\definecolor{blackbone}{HTML}{5e5e5e}

%%%%%%%%Little Helpers%%%%%%
\newcommand{\datename}{\hspace{0.3\linewidth} {\textbf{Beowulf:Bjólfskviða}, 2025 janúar}}

\newcommand{\attrib}[1]{%
  \nopagebreak{\vspace{2ex}\raggedleft #1\par}}

\newcommand{\poerlines}{10}
\newcommand{\grendelright}{0mm}
\newcommand{\grendeleft}{13mm}
\newcommand{\framec}{goldish}

% command to provide stretchy vertical space in proportion
\newcommand\nbvspace[1][3]{\vspace*{\stretch{#1}}}

%%%%%%Middle Helpers%%%%%%%
\newcommand{\chap}[1]{%
    \chapter{#1}
    \Large
}

\newcommand{\placetextbox}[3]{% \placetextbox{<horizontal pos>}{<vertical pos>}{<stuff>}
  \setbox0=\hbox{#3}
  \AddToShipoutPictureFG*{
    \put(\LenToUnit{#1\paperwidth},\LenToUnit{#2\paperheight}){\vtop{{\null}\makebox[0pt][c]{#3}}}%
  }
}

\makeatletter
\newcommand{\globalcolor}[1]{%
  \color{#1}\global\let\default@color\current@color
}
\makeatother

%%%%%%%%%%%%%%%%%%%%%%%%%%%%


\newcommand{\poemsglbox}[5][yellowy!25!white]{ %[colorofthe frame] %title %linesf %linest %poem
    \begin{tcolorbox}[enhanced,title=#2,breakable,pad at break*=2mm,right=\grendelright,left=\grendeleft,
        colframe=#1!50!black,colback=#1!10!Grå,colbacktitle=#1!50!#1!10!Grå,coltext=white,
        fonttitle=\bfseries,coltitle=white,attach boxed title to top center=
            {yshift=-0.25mm-\tcboxedtitleheight/2,yshifttext=2mm-\tcboxedtitleheight/2},
        boxed title style={boxrule=0.5mm,
            frame code={ \path[tcb fill frame] ([xshift=-4mm]frame.west)
            -- (frame.north west) -- (frame.north east) -- ([xshift=4mm]frame.east)
            -- (frame.south east) -- (frame.south west) -- cycle; },
            interior code={ \path[tcb fill interior] ([xshift=-2mm]interior.west)
            -- (interior.north west) -- (interior.north east)
            -- ([xshift=2mm]interior.east) -- (interior.south east) -- (interior.south west)
            -- cycle;} }]
        
        \begin{verse}[25cm]
            \poemlines{\poerlines}
            \setverselinenums{#3}{#4}
        \begin{altverse}
        #5
        \end{altverse}
        \end{verse}
    \end{tcolorbox}
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\setlength{\leftmargini}{-0.5em}
\setlength{\vrightskip}{-2cm}


\newsavebox{\picbox}
\newcommand{\cutpic}[3]{
  \savebox{\picbox}{\includegraphics[width=#2]{#3}}
  \tikz\node [draw, rounded corners=#1, line width=4pt,
    color=white, minimum width=\wd\picbox,
    minimum height=\ht\picbox, path picture={
      \node at (path picture bounding box.center) {
        \usebox{\picbox}};
    }] {};}



\makeatletter
  \ChNameUpperCase
  \ChTitleUpperCase  
  \ChNameVar{\centering\LARGE\rm\bfseries}
  \ChNumVar{\LARGE}
  \ChTitleVar{\centering\huge\bfseries\rm}
  \ChRuleWidth{2pt}
  \newcommand\ChC{blackbone}
  
  \renewcommand{\DOCH}{%
    \color{\ChC}
    \mghrulefill{1.5\RW}\par\nobreak
    \vskip 0.1\baselineskip
%    \mghrulefill{\RW}\par\nobreak
    %\CNV\FmN{\CNoV\thechapter}
    \par\nobreak
    \vskip -0.5\baselineskip
   }
  \renewcommand{\DOTI}[1]{%
    \color{\ChC}
    \mghrulefill{3\RW}\par\nobreak
    \vskip -0.5\baselineskip
    \mghrulefill{2\RW}\par\nobreak
    \vskip -0.2\baselineskip
    \CTV\FmTi{ 
    \definecolor{white}{HTML}{cccccc}
      \color{white}{#1}}\par\nobreak
    \vskip -0.5\baselineskip
    \mghrulefill{\RW}\par\nobreak
    \vskip 30\p@
    }
  \renewcommand{\DOTIS}[1]{%
    \DOTI{#1}
  }

\makeatother

\makeatletter
\patchcmd{\@makechapterhead}{\vspace*{50\p@}}{\vspace*{-30\p@}}{}{}
\patchcmd{\@makeschapterhead}{\vspace*{50\p@}}{\vspace*{-30\p@}}{}{}
\patchcmd{\DOTI}{\vskip 80\p@}{\vskip 40\p@}{}{}
\patchcmd{\DOTIS}{\vskip 40\p@}{\vskip 0\p@}{}{}
\makeatother

\makeatletter
\renewcommand\tableofcontents{%
  \@mkboth{\Large\MakeUppercase\contentsname}{\MakeUppercase\contentsname}%
  \@starttoc{toc}%
}




\newcommand{\grendelbox}[3][\framec]{\begin{tcolorbox}[enhanced,title=#2,breakable,pad at break*=2mm,right=\grendelright,left=\grendeleft,
        colframe=#1!50!black,colback=#1!10!white,colbacktitle=#1!5!#1!10!white,
        fonttitle=\bfseries,coltitle=black,attach boxed title to top center=
            {yshift=-0.25mm-\tcboxedtitleheight/2,yshifttext=2mm-\tcboxedtitleheight/2},
        boxed title style={boxrule=0.5mm,
            frame code={ \path[tcb fill frame] ([xshift=-4mm]frame.west)
            -- (frame.north west) -- (frame.north east) -- ([xshift=4mm]frame.east)
            -- (frame.south east) -- (frame.south west) -- cycle; },
            interior code={ \path[tcb fill interior] ([xshift=-2mm]interior.west)
            -- (interior.north west) -- (interior.north east)
            -- ([xshift=2mm]interior.east) -- (interior.south east) -- (interior.south west)
            -- cycle;} }]
            #3
            \end{tcolorbox}}




\newcommand\notebox[1]{
  \large
  \begin{tcolorbox}[colback=yellow!14!black,colframe=blackbone!50!black,coltitle=yellowy,
  every box/.style={fonttitle=\bfseries},title=Note]
  \color{yellowy}{#1}
  \end{tcolorbox}
}



%%%%%%%%%%%%%%%%%
\pagestyle{fancy}
\fancyhead{}
\fancyfoot{}
\fancyhead[OR]{\thepage}
\fancyhead[EL]{\thepage}

%%%%%%%%%%%%%%%%%%%%%%%
